Skip to content

Retrieves a merchant's terminal POS status by ID

Request

GET {{baseURL}}/pos-api/v1/terminals/{{terminalId}}/status

This endpoint retrieves the current status and details of a terminal device.

It provides the latest available information about a terminal, updated in near real-time.

Depending on the terminal's internet connectivity and operational status, the response may include limited terminal data.

See Also:
To list a merchant's terminals, see GET /pos-api/v1/terminals.

Security
Bearer
Path
terminalIdstring, (uuid)required

TerminalId

Example:cbd59148-9f0a-4b1c-2d3e-4f5a6b7c8d14
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pos-api/v1/terminals/{id}/status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
terminalIdstring, (uuid)

Terminal Id

timestampstring, (date-time)

Indicates the date-time (in an ISO 8601 date-time UTC format) of the terminal's status log.

Examples: 2026-02-19T20:24:52.934Z

Example:"2026-02-19T20:24:52.934Z"
connectionStatusIdinteger, (int32)

Possible values:

  • 1 - Online:
  • 2 - Offline:
connectionStatusstring or nullread-only

Indicates the name of the terminal's connection status.

Example: Online

Example:"Online"
connectionTypeIdinteger, (int32)

Possible values:

  • 1 - WiFi:
  • 2 - Mobile:
  • 3 - Ethernet:
connectionTypestring or nullread-only

Indicates the name of the terminal's connection type.

Example: WiFi

Example:"WiFi"
wifiConnectionStrengthinteger, (int32)

Wifi Connection Strength 0-100

mobileConnectionStrengthinteger, (int32)

Mobile Connection Strength 0-100

lastSeenTimestampstring or null, (date-time)

Indicates the date-time (in an ISO 8601 date-time UTC format) of the terminal's online status.

Examples: 2026-02-19T20:24:52.934Z

Example:"2026-02-19T20:24:52.934Z"
debitPinKeyIdinteger, (int32)

Possible values:

  • 1 - Injected:
  • 2 - Missing:
debitPinKeystring or nullread-only

Indicates the name of the terminal's debit PIN key status.

Example: Injected

Example:"Injected"
availabilityStatusIdinteger, (int32)

Indicaates the terminal availability status.

Possible values:

IdDescription
1Ready
2Busy

Example: 1

Example:1
availabilityStatusstring or nullread-only

Indicates the name of the terminal's availability status.

Example: Ready

Example:"Ready"
ariseTerminalVersionstring or null

ARISE Terminal version

batteryLevelinteger, (int32)

Battery Level 0-100

printerStatusIdinteger, (int32)

Possible values:

  • 1 - Normal:
  • 2 - NotNormal:
  • 3 - NotSupported:
printerStatusstring or nullread-only

Indicates the name of the terminal's printer status.

Example: Normal

Example:"Normal"
deviceSoftwareDetailsobject

Indicates the terminal's device software version details.

terminalPosStatusIdinteger, (int32)

Indicates the terminal availability status.

Possible values:

IdDescription
1Ready
2Busy

Example: 1

Example:1
terminalPosStatusstring or nullread-only

Terminal Status name. Active = 1 - terminal is online and ready to accept the POS transaction Busy = 2 - terminal is online, but cannot accept the POS transaction Offline = 3 - terminal is not subscribed for push notifications, or didn't respond before timeout issued

Response
{ "terminalPosStatusId": 1, "terminalPosStatus": "Active", "terminalId": "f6a7b8c9-d0e1-4f2a-3b4c-5d6e7f8a9b25", "timestamp": "0001-01-01T00:00:00", "connectionStatusId": 1, "connectionStatus": "0", "connectionTypeId": null, "connectionType": null, "wifiConnectionStrength": 0, "mobileConnectionStrength": 0, "lastSeenTimestamp": null, "debitPinKeyId": null, "debitPinKey": null, "availabilityStatusId": null, "availabilityStatus": null, "ariseTerminalVersion": null, "batteryLevel": 0, "printerStatusId": null, "printerStatus": null, "deviceSoftwareDetails": null }